TreeLattice1D< Impl > Class Template Reference
Lattice methods

One-dimensional tree-based lattice. More...

`#include <ql/methods/lattices/lattice1d.hpp>`

Inheritance diagram for TreeLattice1D< Impl >:
[legend]

## Public Member Functions

| TreeLattice1D (const TimeGrid &timeGrid, Size n)
Disposable< Array > | grid (Time t) const
Real | underlying (Size i, Size index) const
Public Member Functions inherited from TreeLattice< Impl >
| TreeLattice (const TimeGrid &timeGrid, Size n)
const Array & | statePrices (Size i) const
void | stepback (Size i, const Array &values, Array &newValues) const
void | initialize (DiscretizedAsset &, Time t) const
| initialize an asset at the given time.
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Real | presentValue (DiscretizedAsset &) const
| Computes the present value of an asset using Arrow-Debrew prices.
Public Member Functions inherited from Lattice
| Lattice (const TimeGrid &timeGrid)
const TimeGrid & | timeGrid () const

## Additional Inherited Members

Protected Member Functions inherited from TreeLattice< Impl >
void | computeStatePrices (Size until) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< Impl >
Impl & | impl ()
const Impl & | impl () const
Protected Attributes inherited from TreeLattice< Impl >
std::vector< Array > | statePrices_
Protected Attributes inherited from Lattice
TimeGrid | t_

## Detailed Description

### template<class Impl>
class QuantLib::TreeLattice1D< Impl >

One-dimensional tree-based lattice.

Derived classes must implement the following interface:

Real underlying(Size i, Size index) const;